Skip to main content
GET
/2025-07/marketing-solutions/marketplace-performance-outcomes/stats/seller-campaigns

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

advertiserId
integer<int32>

Filter metrics to this advertiser. Strongly recommended — omitting this on large accounts causes timeouts.

campaignId
string

Show only metrics for this campaign (default all campaigns)

clickAttributionPolicy
enum<string>
default:AnySeller

Specify the click attribution policy for salesUnits, revenue, CR, CPO, COS, and ROAS

Available options:
Both,
SameSeller,
AnySeller
count
integer<int32>

Return up to the first count rows of data (default is all rows)

endDate
string<date-time>

Filter out all events that occur after date (default is today’s date)

intervalSize
enum<string>
default:Day

Specify the aggregation interval for events used to compute stats (default is "day")

Available options:
Hour,
Day,
Month,
Year
sellerId
string

Show only metrics for this seller (default all sellers)

startDate
string<date-time>

Filter out all events that occur before date (default is the value of endDate)

timeZoneId
string

Specify the timezone used in the aggregations (IANA code).

Response

200 - application/json

Success

A tabular stats report with column headers and data rows. Each row in 'data' is an array of values matching the order of 'columns'.

columns
string[] | null

List of column names for the report (e.g. campaignId, sellerId, day, impressions, clicks, cost, etc.)

data
any[][] | null

Array of data rows, each row is an array of values matching the columns order

Pagination links (empty object if no pagination)

rows
integer<int32> | null

Total number of data rows in the report